# Blurry Tool

This tool allows you to sort blurred images out of a directory using a command-line interface.

## Installation

1. Install the required dependencies:

```bash
pip install -r requirements.txt
```

## Usage

To check an image, run the following command:

```bash
python main.py <path_to_image_directory> [-t <threshold>] [-a {laplacian|sobel|fourier}]
```

## Thresholds

With the laplacian, a threshold of 600 seems to perform well:

```bash
python main.py <path_to_image_directory>
```

With sobel, a threshold of 70 seems to perform well

```bash
python main.py -a sobel -t 70 <path_to_image_directory>
```

With fourier, a threshold of 50000 seems to perform well

```bash
python main.py -a fourier -t 50000 <path_to_image_directory>
```